This is the authentication service for the flightgear multiplayer
network. It is a standalone server only doing authentication. A client
can send an authentication request to the authentication service and
gets the corresponding answer. Only fgms is considered as a valid
client for this service.

Encryption of network packets is basically available. All parts of fgms
uses XTAE (Extended Tiny Encryption Algorithm). XTEA isn't the most secure
algorithm on the planet but is fast, simple and strong enough to keep hobby
cryptographers from breaking the encryption (proof me wrong! :) Since XTEA
demands a 128-bit key, we build an md5 hash of the provided password which
happens to be 128-bit by coincidence.

Due to the dynamic nature of the multiplayer network the encryption is
disabled. We need a key exchange protocol to exchange a symetric key (used
by XTEA) beween peers. This is not (yet) implemented.
